# ocr.xml

This document provides information about the `ocr.xml` configuration file used by the Spire.OCR. This file allows you to customize the paths to model data, dependency libraries, and the language to be recognized (Chinese, Chinesetraditional, English, French, German, Japan, Korean).

## Configuration Parameters

### modelPath

- **Purpose**: Specifies the location of the language model data used by the OCR engine.
- **Type**: Relative  (relative to ocr.xml)  or absolute path to the model directory.
- **Default**: `"model"`  The directory where `ocr.xml` is located.
- **Modification**: You can change this path to point to a different directory where your model data is stored. Ensure the new path is correct and the model data is compatible with the OCR engine.

### libPath

- **Purpose**: Indicates the path to the dependency libraries required by the OCR engine.
- **Type**: Relative  (relative to ocr.xml)  or absolute path to the libraries directory.
- **Default**: `"lib"`  The directory where `ocr.xml` is located.
- **Modification**: Modify this path if your dependency libraries are stored in a different location. Verify that the path is accurate and all necessary libraries are present.

### lang

- **Purpose**: Sets the language that the OCR engine should recognize.
- **Format**: Directory name of the language pack within the model directory.
- **Default**: `"english"`
- **Modification**: Change this value to the desired language. Ensure that a language pack with the same directory name exists in the directory specified by `modelPath`. For example, `"chinese"` would require a Chinese language pack in the model directory.

## Important Notes

- **Modification Restrictions**: Do not modify any fields other than `modelPath`, `libPath`, and `lang`. Changing `platform` or `version` or any other parameters may cause the OCR engine to malfunction or produce incorrect results.
- **Path Flexibility**: Both `modelPath` and `libPath` support both relative and absolute paths, giving you flexibility in organizing your OCR resources.
- **Language Pack Availability**: Before changing the `lang` field, ensure that the corresponding language pack is available in the model directory.